import ColResult from '@/components/col-result'
import { Dialog, List } from 'vant'
import { defineComponent } from 'vue'
import styles from './music.module.less'
import MusicList from '@/student/music/list'
import { state } from '@/state'
import { orderStatus } from '@/views/order-detail/orderStatus'

export default defineComponent({
  name: 'music',
  data() {
    const query = this.$route.query
    return {
      teacherId: query.teacherId as string,
      list: [],
      dataShow: false, // 判断是否有数据
      loading: false,
      finished: false,
      params: {
        page: 1,
        rows: 20
      }
    }
  },
  methods: {
    onItemClick(item: any) {
      // play :0 不能看,1 能看
      if (!item.play && item.chargeType === 'VIP') {
        Dialog.confirm({
          title: '提示',
          message: '您还不是会员，是否加入会员？',
          confirmButtonColor: 'var(--van-primary)'
        }).then(() => {
          this.$router.push('/memberCenter')
        })
        return
      } else if (!item.play && item.chargeType === 'CHARGE') {
        orderStatus.orderType = 'MUSIC'
        orderStatus.musicInfo = item
        this.$router.push({
          path: '/orderDetail',
          query: {
            orderType: 'MUSIC'
          }
        })
      }
      // 去播放页面
    }
  },
  render() {
    return (
      <>
        {/* {this.dataShow ? (
          <List
            v-model:loading={this.loading}
            finished={this.finished}
            finishedText="没有更多了"
          ></List>
        ) : (
          <ColResult btnStatus={false} classImgSize="SMALL" tips="暂无乐谱" />
        )} */}
        <MusicList
          hideSearch
          onItemClick={this.onItemClick}
          teacherId={this.teacherId}
        />
      </>
    )

    {
      /* <List
v-model:loading={this.loading}
finished={this.finished}
finishedText="没有更多了"
onLoad={this.getList}
>
{this.buyUserList.map(item => (
  <UserList class="mb12" users={item} />
))}
</List> */
    }
  }
})
